0 Пользователей и 2 Гостей просматривают эту тему.
  • 144 Ответов
  • 47545 Просмотров
*

alex1988

  • Осваиваюсь на форуме
  • 150
  • 0
Re: Из faq: Переход с 2.5 на 3.х
« Ответ #30 : 03.11.2013, 12:27:44 »
это ***** какая то. ничего не получается...ошибка и все......
такое ощущение что такая ошибка только у меня.....хотя на зарубежных форумах встречаться подобные проблемы.......но там как и тут, все сделают, а поделиться решением жаба давит!
*

alex1988

  • Осваиваюсь на форуме
  • 150
  • 0
Re: Из faq: Переход с 2.5 на 3.х
« Ответ #31 : 03.11.2013, 14:19:00 »
пошли сдвиги.....теперь  JHtmlBehavior::mootools not found
*

Очередной вебмастер

  • Завсегдатай
  • 784
  • 55
  • лысый умный дядя
Re: Из faq: Переход с 2.5 на 3.х
« Ответ #32 : 04.12.2013, 23:27:19 »
Чет я не могу понять это LTS-релиз или STS?
Количество косяков по-прежднему удручает.
Это что решили превратить в традицию - выпускать версию и позволять пользователям искать ошибки.
WP во всю уже переходит на фоновые обновления (настолько они уверены в своих силах?), а Joomla как косячила, так и косячит, аж обидно.
Я и опытные найдут решение, а вот на карму CMS в общем - эт очень негативно влияет...
--------
Блог о Joomla
----------
---------
Помог ответ - жми плюс!
*

HiopsNerevar

  • Завсегдатай
  • 656
  • 88
  • Я удобный.
Re: Из faq: Переход с 2.5 на 3.х
« Ответ #34 : 05.12.2013, 09:45:27 »
Ну у Joomla всетаки за спиной длинная и тяжолая история. WP же изначально был этого лишен. Поэтому ему проще. Да и подходы с разных сторон. Joomla сначала делала упор на функционал, а теперь на технологии, а WP наоборот.
Но я согласен. Этот бесконечный бета-тест несколько удручает. А именно та открытость с которой разработчики дают использовать STS релизы.
Это бидаль пича.
*

Аня

  • Завсегдатай
  • 660
  • 32
  • Копатыч нестабилен!
Re: Из faq: Переход с 2.5 на 3.х
« Ответ #35 : 15.12.2013, 21:24:31 »
Получается, если не работает автоматическое обновление и возникает ошибка "Update: :Collection: Не удалось открыть http://update.joomla.org/core/sts/list_sts.xml", перейти с 2.5 на 3.х шансов нет.
Приятное открытие, ничего не скажешь.
При чем идея с официального сайта, что эта ошибка возникает всего лишь на хостингах, где отключена функция fopen, совершенная ерунда. Честно хотела рискнуть и обновиться ради тегов - и не вижу никакой возможности. РАЗОЧАРОВАНА
Fatal error - это фатально!!!!
*

ChaosHead

  • Профи
  • 4740
  • 398
Re: Из faq: Переход с 2.5 на 3.х
« Ответ #36 : 16.12.2013, 09:12:40 »
Ради тегов я бы не стал обновляться, минусов больше получите.
*

Аня

  • Завсегдатай
  • 660
  • 32
  • Копатыч нестабилен!
Re: Из faq: Переход с 2.5 на 3.х
« Ответ #37 : 16.12.2013, 11:29:33 »
И я так уже думаю. Поступила по совету наших формучан - внимательно изучила вопрос перехода на трешку на форумах и пришла к выводу, что преждевременно для большого сайта. Хотя все мои расширения есть, но зато по сложности сам переход равен переходу на другую cms. При таких-то ошибках))))))
Fatal error - это фатально!!!!
*

GraD

  • Осваиваюсь на форуме
  • 94
  • 3
Re: Из faq: Переход с 2.5 на 3.х
« Ответ #38 : 18.12.2013, 22:33:25 »
перешёл с 2,5,17 на 3,2,1 сайт перестал работать показывает чистый лист что может быть?
форум школ schoolkuban.ru
*

HiopsNerevar

  • Завсегдатай
  • 656
  • 88
  • Я удобный.
Re: Из faq: Переход с 2.5 на 3.х
« Ответ #40 : 19.12.2013, 09:34:49 »
У меня проблема решилась удалением папки controllers в папке libraries/cms. Правда после этого проблемы не закончились. Вообще система обновления странная. Вроде и отключил все что можно было отключить, и даже накатил чистый дистрибутив, мало ли файлы были изменены. И база перед обновлением не выдавала ошибок. В результате после обновления белый экран из-за неудаленной папки controllers и куча ошибок в бд. Причем нелепых. Видимо часть sql выполнилась а часть нет. Сначала была ошибка что в таблице jos_content нет столбца title_alias. Пришлось искать и создавать. После чего стало выдавать что его нужно удалить! =) Но это видимо из-за того что версию базы он определял как 2.5.17. В общем пришлось почти все sql ручками вносить через phpMyAdmin. Но зато вроде заработало.
Это бидаль пича.
*

Oshmarinmax

  • Новичок
  • 6
  • 0
Re: Из faq: Переход с 2.5 на 3.х
« Ответ #41 : 29.01.2014, 11:33:09 »
при переходе от 2.5 на 3 из админки сайт напроч ложится, не сайт не админка не работает.... какие способы обновления еще есть? и почему после установки zoo у меня в проверке версий было написано обновления не найдены и не возможны?
*

Аня

  • Завсегдатай
  • 660
  • 32
  • Копатыч нестабилен!
Re: Из faq: Переход с 2.5 на 3.х
« Ответ #42 : 29.01.2014, 15:22:49 »
Ну, это все не знак ли, что пока вообще не стоит переходить на j3! Еще новый проект куда ни шло, но ломать работающий сайт ради прогресса? Нафиг такой прогресс!
Fatal error - это фатально!!!!
*

SegioSpb

  • Новичок
  • 5
  • 0
Re: Из faq: Переход с 2.5 на 3.х
« Ответ #43 : 09.03.2014, 12:45:49 »
Сайт лёг при попытке перейти с 2.5. на 3.2.3 - белый экран. При входе в адмику ошибка:
Parse error: syntax error, unexpected T_STATIC in /home/c/cl102403/public_html/libraries/cms/html/select.php on line 127
Что делать?
*

SegioSpb

  • Новичок
  • 5
  • 0
Re: Из faq: Переход с 2.5 на 3.х
« Ответ #44 : 09.03.2014, 13:58:14 »
В общем вернулся на 2.5.3 через ftp, обновился и до 2.5.19 ;D и забыл про 3.2.3, как про страшный сон :o
*

Аня

  • Завсегдатай
  • 660
  • 32
  • Копатыч нестабилен!
Re: Из faq: Переход с 2.5 на 3.х
« Ответ #45 : 20.03.2014, 17:07:48 »
Копатыч нестабилен
Fatal error - это фатально!!!!
*

Очередной вебмастер

  • Завсегдатай
  • 784
  • 55
  • лысый умный дядя
Re: Из faq: Переход с 2.5 на 3.х
« Ответ #46 : 20.03.2014, 23:30:29 »
Обновил 3 дня назад свой блог: было - версия 2.5.19, стало - Joomla 3.2.3
Первоначально тестировал процесс обновления на локалке... Первый результат оказался печальный -  JHtmlBehavior::mootools - ошибка. Ладно думаю....
Открыл на редактирование configuration.php - врубил показ ошибок:
   
Код
public $error_reporting = 'development';
Ошибки показали,. что проблема в дополнительном плагине стороннего разработчика.
Пошел другим путем, при второй попытке:
Вырубил ВСЕ(компоненты, модули, плагины сторонних разработчиков)! Через Расширения-Менеджер расширений-Управление: оставил только компоненты от Akeeba и все родные Joomla-компоненты и плагины.
Установил Akeeba CMS Update - зашел в него:


Нажал обновление до последней версии Joomla 3.2.3 ... Так как стоял Akeeba Backup, то компонент сам догадался(!) и сделал перед обновлением бэкап!
После этого загрузил, распаковал и установил новую версию Joomla 3.2.3
Сначала вроде появилась какая то ошибка, но после обновления страницы в браузере я увидел новую админку Joomla 3

После этого обновляете сторонние расширения, плагины от сторонних разработчиков до новых версий (актуальных для Joomla 3) и все у вас работает, как часы!
--------
Блог о Joomla
----------
---------
Помог ответ - жми плюс!
*

Rival

  • Осваиваюсь на форуме
  • 189
  • 16
Re: Из faq: Переход с 2.5 на 3.х
« Ответ #47 : 08.04.2014, 22:11:29 »
Пробовал раньше на локалке обновить 2.5 на одну из первых 3х версий, обновление прошло успешно, все работало, но не хотел спешить переходить на 3.
Но вот сейчас попробовал обновить на последнюю версию 3.2.3, теперь половина сайта и почти вся админка выдают ошибки. Вижу теперь будут серьезные проблемы с переходом на 3. Хотя есть вариант попробовать обновить до первой 3ки, а с нее на последнюю.
*

gradbk

  • Новичок
  • 2
  • 0
Re: Из faq: Переход с 2.5 на 3.х
« Ответ #48 : 25.06.2014, 13:31:52 »
Знающие люди, подскажите есть нормальная версия в 3 линейке? Или пока оставаться на 2.5?
Как обстоят дела с расширениями?
*

Очередной вебмастер

  • Завсегдатай
  • 784
  • 55
  • лысый умный дядя
Re: Из faq: Переход с 2.5 на 3.х
« Ответ #49 : 25.06.2014, 18:37:27 »
Знающие люди, подскажите есть нормальная версия в 3 линейке? Или пока оставаться на 2.5?
Как обстоят дела с расширениями?
Смотря что вам нужно?
Если просто сама Joomla 3 - то версия 3.3 вполне стабильна.
Насчет расширений - это уж смотрите JED и совместимость нужных вам расширений с Joomla 3
--------
Блог о Joomla
----------
---------
Помог ответ - жми плюс!
*

gradbk

  • Новичок
  • 2
  • 0
Re: Из faq: Переход с 2.5 на 3.х
« Ответ #50 : 28.06.2014, 12:22:22 »
Смотря что вам нужно?
Если просто сама Joomla 3 - то версия 3.3 вполне стабильна.
Насчет расширений - это уж смотрите JED и совместимость нужных вам расширений с Joomla 3
Ясно. Да, просто Joomla 3. А то я кругом вижу жалобы, вот и сомневался.
*

olejenya

  • Давно я тут
  • 218
  • 3
Re: Из faq: Переход с 2.5 на 3.х
« Ответ #51 : 19.07.2014, 22:39:40 »
Привет всем.Пытаюсь обновить Joomla2.5 до последней 3.3.1. И ничего не выходит(((Идет обновления до 80% , потом раз и белый екран. Захожу в админку, все почти нормально, кроме иконок доступа.Но потом в модуль менеджер - белый эеран, в менеджер устанвоок белый экран и так далия по вкладкам((
Может  расширения так повлиять?.перед ап удалил все левое, что не поддерживает Joomla 3.3.
*

RezistoR

  • Осваиваюсь на форуме
  • 74
  • 1
  • Danger! High Voltage!
Re: Из faq: Переход с 2.5 на 3.х
« Ответ #52 : 12.08.2014, 13:44:45 »
Я еще с 1.0.15 не успел перейти на 2.5 а вы про 3.0 )))))))))))))))
*

sfunlimit

  • Захожу иногда
  • 12
  • 0
Re: Из faq: Переход с 2.5 на 3.х
« Ответ #53 : 09.10.2014, 10:34:17 »
Привет всем.Пытаюсь обновить Joomla2.5 до последней 3.3.1. И ничего не выходит(((Идет обновления до 80% , потом раз и белый екран. Захожу в админку, все почти нормально, кроме иконок доступа.Но потом в модуль менеджер - белый эеран, в менеджер устанвоок белый экран и так далия по вкладкам((
Может  расширения так повлиять?.перед ап удалил все левое, что не поддерживает Joomla 3.3.
Делал сначала на копии.
Проверь все плагины которые установлены имеют ли они поддержку 3.0, ещё лучше запиши какие у тебя есть и удали их. (некоторые плагины несмотря на то что имеют поддержку 3-ей версии некорректно работают и их надо будет удалить и потом заново установить. (не ставить поверх старой версии) например mavik)
Затем отключи плагины (те что не идут в комплекте с жумлой)
Установи последний релиз 2.5.** и уже после него ставь 3-ю. Перед устнавкой почисти КЭШ в панели управления и на сайте.
Затем по одному ставь нужные плагины и сразу проверяй на работоспособность страницы на которых эти плагины работают.
Ну кто то может по другому делал но лично я так.
*

olejenya

  • Давно я тут
  • 218
  • 3
Re: Из faq: Переход с 2.5 на 3.х
« Ответ #54 : 09.10.2014, 13:05:35 »
У меня была проблема в компоненте com_acymailing_starter , хоть я и обновил его под 3 Joomla.А еще прочитал что проблемой может быть  2 плагина
System - Language Code
System - Remember Me , я их отключил перед обнвлением, также я отключил плагины и компоненты сторонных рсширенний, на всякий случай
 и после этого все четко обновилось))
После включил отображение ошибок и попрядку включал компоненты и плагины и проверял что хреновастенько работает.
В общем у меян все ок))
Дерзайте, мб кому поможет))
*

rk3dnp

  • Давно я тут
  • 320
  • 5
Re: Из faq: Переход с 2.5 на 3.х
« Ответ #55 : 25.10.2014, 22:23:47 »
После обновления на денвере, ошибка. Сайт и админка не работают ((
Warning: require_once(Z:\home\test1.ru\www/plugins\system\nextendjoomla3compat\nextendjoomla3compat.php) [function.require-once]: failed to open stream: No such file or directory in Z:\home\test1.ru\www\plugins\system\dojoloader\dojoloader.php on line 17

Fatal error: require_once() [function.require]: Failed opening required 'Z:\home\test1.ru\www/plugins\system\nextendjoomla3compat\nextendjoomla3compat.php' (include_path='.;C:\php\pear') in Z:\home\test1.ru\www\plugins\system\dojoloader\dojoloader.php on line 17
*

sema

  • Захожу иногда
  • 16
  • 0
Re: Из faq: Переход с 2.5 на 3.х
« Ответ #56 : 26.10.2014, 10:47:12 »
Joomla 2.5.27 при сохранении параметров сервера обновления (с краткосрочной поддержкой ) выдает такую ошибку

Fatal error: Call to a member function filter() on a non-object in /home/s/shtamh5n1/scool15svetliy.ru/public_html/libraries/joomla/application/component/modelform.php on line 261
помогите, кто знает. >:(
*

rk3dnp

  • Давно я тут
  • 320
  • 5
Re: Из faq: Переход с 2.5 на 3.х
« Ответ #57 : 27.10.2014, 10:31:37 »
После обновления на денвере, ошибка. Сайт и админка не работают ((
Warning: require_once(Z:\home\test1.ru\www/plugins\system\nextendjoomla3compat\nextendjoomla3compat.php) [function.require-once]: failed to open stream: No such file or directory in Z:\home\test1.ru\www\plugins\system\dojoloader\dojoloader.php on line 17

Fatal error: require_once() [function.require]: Failed opening required 'Z:\home\test1.ru\www/plugins\system\nextendjoomla3compat\nextendjoomla3compat.php' (include_path='.;C:\php\pear') in Z:\home\test1.ru\www\plugins\system\dojoloader\dojoloader.php on line 17

Проблема решилась удалением этой папки )) Там еще было несколько плагинов с подобной ошибкой, видимо не совместимость с 3 версией.
*

mr_denisters

  • Осваиваюсь на форуме
  • 128
  • 6
  • Очередной Вебмастер
Re: Из faq: Переход с 2.5 на 3.х
« Ответ #58 : 07.11.2014, 12:22:10 »
Добрый день, не получается обновить с 2.5 на 3 стандартными средствами, MySQL сыпит ошибки (1091 Can't DROP 'usertype'; check that column/key exists SQL=ALTER TABLE `..._users` DROP KEY `usertype`;). Сайт мультиязычный, что посоветуете?

PS пробовал сторонними миграторами spupgrade и jupgrade pro - переносит только материалы и пользователей без групп. Категории, пункты меню не переносятся.

Можно ли руками скопировать таблицы меню и категорий?

UPD

Удалось скопировать таблицы меню и категорий с 2.5.27 на 3.1.1 с заменой, потом в менеджере расширений исправить бд и все гуд.
« Последнее редактирование: 07.11.2014, 13:43:13 от mr_denisters »
*

stendapuss

  • Живу я здесь
  • 829
  • 19
Re: Из faq: Переход с 2.5 на 3.х
« Ответ #59 : 07.11.2014, 18:43:08 »
При обновление на денвере выдает ошибку.
Как вылечить?
Call to undefined method RuntimeException::get() in Z:\home\m\www\libraries\joomla\error\error.php on line 803
Спасибо.
Чтобы оставить сообщение,
Вам необходимо Войти или Зарегистрироваться
 

переход на Джумла 3 (при поиски обновлений выбает ошибку)

Автор Zeya

Ответов: 0
Просмотров: 59
Последний ответ 21.08.2017, 19:05:42
от Zeya
SSL Сертификат, переход с http:// на https://

Автор lgmax

Ответов: 3
Просмотров: 240
Последний ответ 27.04.2017, 11:20:11
от master-smeta
Список материалов категории - не работает переход по ссылке материала

Автор viajoker

Ответов: 2
Просмотров: 486
Последний ответ 11.10.2015, 16:51:17
от NewUsers
Переход с 2.5.27 до 3.3.6 и проблема с com_joomlaupdate

Автор Hol1killer

Ответов: 7
Просмотров: 1752
Последний ответ 19.03.2015, 06:58:30
от Rap3r
[Решено] Переход c Denwer на IIS 7 (с локалки на хостинг)

Автор B0tusai

Ответов: 5
Просмотров: 2608
Последний ответ 21.05.2013, 07:43:47
от Arkadiy